2.2. Version specific fields

One of the main pgModeler's features is the generation of SQL code from a database model but depending on the kind of some objects the user must take care of the attributes being filled in these objects. Since a DDL command for a specific object can vary from version to version of PostgreSQL, pgModeler tries to handle this situation through its dynamic code generation mechanism that consider the current database version – detected during export – to be used in the process. Throughout pgModeler's forms it's common to find the warning messages and highlighted field labels as shown on the image below.

The warning message is self explanatory but be sure to think twice when assigning values to the specially highlighted fields in order to avoid annoying warnings or even error messages coming from a PostgreSQL server. If you really need to use these fields then you are obligated to export the model to a server which version matches the tooltip.


Jan 27, 2018 at 11:24